std::binder1st(3)

NAME
std::binder1st -

SYNOPSIS

Inherits unary_function< _Operation::second_argument_type, _Operation::result_type >.

Detailed Description

  template<class _Operation> class std::binder1st< _Operation >

Definition at line 392 of file stl_function.h.

  Public Types
typedef _Operation::second_argument_type argument_type
typedef _Operation::result_type result_type

  Public Member Functions
binder1st (const _Operation &__x, const typename _Operation::first_argument_type &__y)
_Operation::result_type operator() (typename _Operation::second_argument_type &__x) const
_Operation::result_type operator() (const typename _Operation::second_argument_type &__x) const

  Protected Attributes
_Operation op
_Operation::first_argument_type value

Member Typedef Documentation

  typedef _Operation::second_argument_type argument_type [inherited]

argument_type is the type of the

Definition at line 104 of file stl_function.h.

  typedef _Operation::result_type result_type [inherited]

argument (no surprises here) result_type is the return type

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.